Bug 2718 - cd command fails in smbclient 3.0.14a-1
cd command fails in smbclient 3.0.14a-1
Product: Samba 3.0
Classification: Unclassified
Component: Client Tools
All Linux
: P3 normal
: none
Assigned To: Gerald (Jerry) Carter
Samba QA Contact
Depends on:
  Show dependency treegraph
Reported: 2005-05-16 07:52 UTC by Christian Perrier
Modified: 2005-11-18 17:55 UTC (History)
1 user (show)

See Also:

level 10 debug file of the smbclient session (9.98 KB, text/plain)
2005-05-16 07:53 UTC, Christian Perrier
no flags Details
Requested tcpdump (5.62 KB, application/octet-stream)
2005-06-04 07:13 UTC, Dennis Jørgensen
no flags Details
smbclient -d10 during error (10.72 KB, text/plain)
2005-11-17 14:10 UTC, Glenn Burkhardt
no flags Details
Don't use qpathinfo_basic() call when server is Win9x (743 bytes, patch)
2005-11-17 20:17 UTC, Gerald (Jerry) Carter
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Christian Perrier 2005-05-16 07:52:19 UTC
Please see the Debian BTS for all details regarding this bug.  
In short, from the bug submitter:  
Change directory (cd) command is broken in smbclient 3.0.14a-1,  
generates error ERRDOS.  Not broken in previous version (3.0.10-1).  
Jerry suggested this to be https://bugzilla.samba.org/bug/2530 fixed in  
3.0.13, however Debian reporters confirm this happens also with 3.0.14a.  
We requested the bug submitter to run smbclient -d10 and I will attach the 
relevant output file. 
The target operating system is Windows 95. The bug submitter cannot mention 
whether this is OSR2 or not.
Comment 1 Christian Perrier 2005-05-16 07:53:42 UTC
Created attachment 1229 [details]
level 10 debug file of the smbclient session
Comment 2 Gerald (Jerry) Carter 2005-05-30 19:53:26 UTC
please retest the lates SAMBA_3_0 svn tree (or wait until the 
next prerelease).  If the bug is not fixed, I will need
a raw network trace.   

'tcpdump -w /tmp/dump.pcap -s 0 -i eth0 port 139 or port 445'

Comment 3 Christian Perrier 2005-06-02 06:29:26 UTC
The two users who can reproduce the problem report they still reproduce it 
with a special Debian package built from a SVN checkout of SAMBA_3_0 as of 
I will ask both of them for the requested raw network trace. 
Comment 4 Dennis Jørgensen 2005-06-04 07:13:38 UTC
Created attachment 1258 [details]
Requested tcpdump
Comment 5 Dennis Jørgensen 2005-06-04 07:21:39 UTC
Comment on attachment 1258 [details]
Requested tcpdump

I'm one of the debian users seeing the problem, I figured communication would
be easier if I posted directly here.

I've attached a tcpdump, made while running:

$ smbclient //newton/koda
smb: \> cd KODA-SYS
cd \KODA-SYS\: ERRDOS - ERRbadfunc (Invalid function.)
smb: \> exit

The packages Christian Perrier made from a SVN checkout were used.
Comment 6 Glenn Burkhardt 2005-11-17 14:10:18 UTC
Created attachment 1577 [details]
smbclient -d10 during error 

This has just happened to me, too.  I've upgraded my system from 3.0.2a to 3.0.20, and smbclient can't change directories when connecting to Windows 98 (2nd edition) systems.  It works when connecting to Windows 2000 systems.

I've attached a -d10 output trace.
Comment 7 Glenn Burkhardt 2005-11-17 16:44:24 UTC
I've tested versions 3.0.20b, 3.0.12, 3.0.13.  They don't work; smbclient errors out when trying to change directories when connected to Windows 98 systems.

Version 3.0.11 works; I'll use that one for a while.
Comment 8 Gerald (Jerry) Carter 2005-11-17 20:17:37 UTC
Created attachment 1578 [details]
Don't use qpathinfo_basic() call when server is Win9x
Comment 9 Gerald (Jerry) Carter 2005-11-17 20:17:59 UTC
Fixed.  Sorry.  My fault. Patch attached to bug report.
Comment 10 Glenn Burkhardt 2005-11-18 17:55:09 UTC
I've verified that the patch works for me with 3.0.20b.
I'm very impressed with the response - thanks!